<?php
/*---------------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------------------+
| Filename: fsc_lottosystem.php
| Author: Jrgen Carstensen
+----------------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------------------*
| FSC LottoSystem 
| Angepasst und erweitert fr ScoreSystem 1.0
| ScoreSystem 1.0 erhltlich unter:
| http://www.phpfusion-supportclub.de
| Author: JC Drago / webmaster@phpfusion-supportclub.de
| Web: http://www.phpfusion-supportclub.de
+---------------------------------------------------------------*
| Mein Dank an Hippo01 fr das Banner http://www.spielerkastell.de
+---------------------------------------------------------------*/
include "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."fsc_lottosystem_panel/infusion_db.php";
if (file_exists(INFUSIONS."fsc_lottosystem_panel/locale/".$settings['locale'].".php"))
  {
    include INFUSIONS."fsc_lottosystem_panel/locale/".$settings['locale'].".php";
  }
else
  {
    include INFUSIONS."fsc_lottosystem_panel/locale/German.php";
  }

opentable($locale['FSCLS100']);
if ( isset($_GET['status']) && $_GET['status'] == "losgekauft" )
  {
    echo "<div align='center'>
          <table class='tbl-border' width='100%'>
           <tr>
            <td class='tbl1' align='center'><font color='red'><strong>".$locale['FSCLS201']."</strong></font></td>
           </tr>
          </table>
          </div><br />";
   }

if ( file_exists(INFUSIONS."fsc_lottosystem_panel/images/banner/fsc_lottosystem.gif") )
  {
    // Lade die Datei aus dem Packet oder eine eigene
    echo '<div align="center"><img src="'.INFUSIONS.'fsc_lottosystem_panel/images/banner/fsc_lottosystem.gif"></div>';
  }
else
  {
    // Wenn keine gefunden wird nimm die Orginale.
    echo '<div align="center"><img src="'.INFUSIONS.'fsc_lottosystem_panel/images/banner/fsc_lottosystem.gif"></div><br /><br />';
  }

if ( iADMIN )
  {
    echo '<div align="center"><b><a href="'.INFUSIONS.'fsc_lottosystem_panel/fsc_lotto_admin.php'.$aidlink.'">Lottosystem Admin</a></b></div>';
  }

if ( isset($_POST['kaufen']) )
  {
    $result = dbquery("SELECT * FROM ".DB_FSC_LOTTOSYSTEM_ZIEHUNG." ORDER BY ziehung_id DESC LIMIT 0,1");
    $data = dbarray($result);
    $user_lose = dbcount("(los_id)",DB_FSC_LOTTOSYSTEM_LOSE,"los_ziehung=".$data['ziehung_id']." AND los_besitzer=".$userdata['user_id']);

    if( $data['ziehung_lose'] <= 0 )
      {
         echo "<br /><div align='center'><font color='red'><strong>".$locale['FSCLS221']."</strong></font></div>";
      }
    else if ( $user_lose < $data['ziehung_lose_pp'] )
      {
        $query = dbquery("INSERT INTO ".DB_FSC_LOTTOSYSTEM_LOSE." VALUES('', '".$data['ziehung_id']."', '".$userdata['user_id']."')");
        // Scoresystem 
        score_free("Du hast ein Los gekauft", "LOTTO", $data['ziehung_preis'], "200", "N") ;
        // Scoresystem
        $query = dbquery("UPDATE ".DB_FSC_LOTTOSYSTEM_ZIEHUNG." SET ziehung_lose=ziehung_lose-1 WHERE ziehung_id='".$data['ziehung_id']."'");
        redirect(FUSION_SELF."?status=losgekauft");
       }
     else
       {
         redirect(FUSION_SELF);
       }
  }

if ( iMEMBER )
  {
    $result = dbquery("SELECT * FROM ".DB_FSC_LOTTOSYSTEM_ZIEHUNG." ORDER BY ziehung_id DESC LIMIT 0,1");
    $data = dbarray($result);

    if ( $data['ziehung_zeit'] < time() )
      {
        echo "<div align='center'><b>".$locale['FSCLS210']."</b></div><br />";
        echo "<div align='center'><b>".$locale['FSCLS208']." ".ucwords(showdate("longdate", $data['ziehung_zeit']))."</b></div><br />";
        if ( $data['ziehung_gewinner'] != "" )
          {
            if ( $data['ziehung_lose_jp'] == $data['ziehung_gewinner'] )
              {
                echo "<br /><br /><div align='center'><b>".$locale['FSCLS225']."</b></div>";
                echo "<br /><div align='center'><font color='red'><strong>".$locale['FSCLS226']." ".$data['ziehung_jackpot']." ".$locale['FSCLS215']."</font></strong></div>";
              }
            else
              {
                echo "<br /><br /><div align='center'><b>".$locale['FSCLS218']."</b></div>";
                echo "<br /><div align='center'><font color='red'><strong>".$locale['FSCLS223']."</font>".$locale['FSCLS224']." ".$data['ziehung_gewinner']."</strong></div>";
              }
          }
      }
    else
      {
        echo "<br /><div align='center'><b>".$locale['FSCLS203']." ".ucwords(showdate("longdate", $data['ziehung_zeit']));
        echo "<br /><div align='center'><b>".$locale['FSCLS220']."</b></div><br />";
        if( $data['ziehung_lose'] <= 0 )
          {
            echo "<div align='center'><font color='red'><strong>".$locale['FSCLS211']." ".$locale['FSCLS219']."</strong></font></div>";
          }
        else
          {
            $gewinn = $data['ziehung_gewinn']+$data['ziehung_jackpot'];
            echo "".$locale['FSCLS204']." ".$data['ziehung_preis']." ".$locale['FSCLS215']." ".$locale['FSCLS206']." ".$data['ziehung_lose']." ".$locale['FSCLS207']."</b></div>";
            echo '<br /><div align="center"><b>'.$locale['FSCLS214'].' '.$gewinn.' '.$locale['FSCLS215'].'</b></div><br />';
            $user_lose = dbcount("(los_id)",DB_FSC_LOTTOSYSTEM_LOSE,"los_ziehung=".$data['ziehung_id']." AND los_besitzer=".$userdata['user_id']);

            if (score_account_stand() > $data['ziehung_preis'])
              {
                $result = dbquery("SELECT * FROM ".DB_FSC_LOTTOSYSTEM_ZIEHUNG." ORDER BY ziehung_id DESC LIMIT 0,1");
                $data = dbarray($result);
                $zeit = time();
                $restzeit = $data['ziehung_loszeit']/60;
                $spielzeit = $data['ziehung_zeit']-$data['ziehung_loszeit'];
                if ( $data['ziehung_lose_pp'] == 0 )
                  {
                    $losepp = $data['ziehung_loseges'];
                  }
                else
                  {
                    $losepp = $data['ziehung_lose_pp'];
                  }

                if ( $user_lose < $losepp || $spielzeit <= $zeit )
                  {
                    if ( $data['ziehung_lose'] <= 0 )
                      {
                        echo "<div align='center'><font color='red'><strong>".$locale['FSCLS211']." ".$locale['FSCLS219']."</strong></font></div>";
                      }
                    else
                      {
                        echo "<div align='center'>
                              Du kannst noch ".($losepp-$user_lose)." Lose kaufen.
                              <form action='".FUSION_SELF."' method='post'>";
                        echo " <input type='submit' name='kaufen' value='".$locale['FSCLS209']."' class='button'>";
                        echo "</form>
                              </div>";
                      }
                  }
                else
                  {
                    echo "<br /><div align='center'><font color='red'><strong>".$locale['FSCLS250']."$user_lose".$locale['FSCLS251']."</strong></font></div>";
                    if ( $data['ziehung_loszeit'] > 0 )
                      {
                        echo "<br /><div align='center'><font color='green'><strong>".$locale['FSCLS252']."$restzeit".$locale['FSCLS253']."</strong></font></div>";
                      }
                  }
              }
            else
              {
                echo "<br /><div align='center'><font color='red'><strong>".$locale['FSCLS212']."</strong></font></div>";
              }
          }
      }
  }
else
  {
    echo "<div align='center'><b>".$locale['FSCLS213']."</b></div>";
  }

echo '<div align="right"><a href="http://www.phpfusion-supportclub.de" target="_blank">&copy;</a></div>';
closetable();

if ( $data['ziehung_ueber'] <= 0 )
  {
    $datum = strftime("%d.%m.%Y %H:%M ", $data['ziehung_zeit']);
    opentable($locale['FSCLS506']. $locale['FSCLS513']." $datum");
    echo '<table width=100%>';
    if ( $data['ziehung_loseges'] >= 0 )
      {
        $angebot=$data['ziehung_loseges']-$data['ziehung_lose'];
        $pct=$angebot*100/$data['ziehung_loseges'];
        $nonpct=100-($pct);
        echo "<tr>
               <td width = '30%'><b>".$locale['FSCLS508']." : ".$angebot." </b></td>
               <td width='40%'><div align='center'><table align='center' style='border: solid 1px #000000;' bgcolor='#339900' cellpadding='0' cellspacing='0' width='320' height='10'><caption align='bottom'></caption><tr><td width='$pct%' bgcolor='#FF0000'></td><td width='$nonpct%'></td></tr></table></div></td>
               <td width='30%' align='right'><b>".$locale['FSCLS507']." : ".$data['ziehung_loseges']."</b></td>
              </tr>";
      }
    echo "</table>";
    closetable();
  }
else
  {
    opentable($locale['FSCLS500']);
    echo "<table border='0' width='100%' class='tbl-border' cellpadding='1' cellspacing='1'>
           <tr>
            <td width='40%' class='tbl1'><b>".$locale['FSCLS503']."</b></td>
            <td width='40%' class='tbl1'><b>".$locale['FSCLS504']."</b></td>
            <td width='20%' class='tbl1'><b>".$locale['FSCLS505']."</b></td>
           </tr>";
     $result = dbquery("SELECT * FROM ".DB_SCORE_TRANSFER." WHERE tra_aktion = 'LOTTO' AND tra_typ = 'P' ORDER BY tra_id DESC LIMIT 0,10");
     while ( $data = dbarray($result) )
          {
            $r_user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id = '".$data['tra_user_id']."'");
            $d_user = dbarray($r_user);
            $datum = strftime("%d.%m.%Y %H:%M Uhr", $data['tra_time']);
            echo "<tr>
                   <td class='tbl1'>$datum</td>
                   <td class='tbl1'>".$d_user['user_name']."</td>
                   <td align='right' class='tbl1'> ".$data['tra_score']." ".$locale['FSCLS215']."</td>
                  </tr>";
          }
     echo "</table>";
     closetable();
  }

require_once THEMES."templates/footer.php";

?>
